<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__wifiutilities" kind="group">
    <compoundname>wifiutilities</compoundname>
    <title>WHD Wi-Fi Utility API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga168fb83b839bab61d2c9d3b1f42a6782" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_set_channel</definition>
        <argsstring>(whd_interface_t ifp, uint32_t channel)</argsstring>
        <name>whd_wifi_set_channel</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Set the current channel on the WLAN radio. </para>
        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;On most WLAN devices this will set the channel for both AP &lt;i&gt;AND&lt;/i&gt; STA (since there is only one radio - it cannot be on two channels simulaneously)&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired channel</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the channel was successfully set Error code if the channel was not successfully set </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="310" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gab81522c25d723fbe18b90871a278ba9d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_channel</definition>
        <argsstring>(whd_interface_t ifp, uint32_t *channel)</argsstring>
        <name>whd_wifi_get_channel</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Get the current channel on the WLAN radio. </para>
        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;On most WLAN devices this will get the channel for both AP &lt;i&gt;AND&lt;/i&gt; STA (since there is only one radio - it cannot be on two channels simulaneously)&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to receive the current channel</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the channel was successfully retrieved Error code if the channel was not successfully retrieved </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="323" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga893ccaef6ed5d0afe95a96bbe89e8a80" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_set_passphrase</definition>
        <argsstring>(whd_interface_t ifp, const uint8_t *security_key, uint8_t key_length)</argsstring>
        <name>whd_wifi_set_passphrase</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>security_key</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>key_length</declname>
        </param>
        <briefdescription>
<para>Set the passphrase. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>security_key</parametername>
</parameternamelist>
<parameterdescription>
<para>The security key (passphrase) which is to be set </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key_length</parametername>
</parameternamelist>
<parameterdescription>
<para>length of the key</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS when the key is set Error code if an error occurred </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="334" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga977fe2ff7c3f6966ffc40fda0e9694a8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_sae_password</definition>
        <argsstring>(whd_interface_t ifp, const uint8_t *security_key, uint8_t key_length)</argsstring>
        <name>whd_wifi_sae_password</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>security_key</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>key_length</declname>
        </param>
        <briefdescription>
<para>Set the SAE password. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>security_key</parametername>
</parameternamelist>
<parameterdescription>
<para>The security key (password) which is to be set </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key_length</parametername>
</parameternamelist>
<parameterdescription>
<para>length of the key</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS when the key is set Error code if an error occurred </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="345" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gae118219bea1b82ae76a5c1ee5f7f302c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_enable_sup_set_passphrase</definition>
        <argsstring>(whd_interface_t ifp, const uint8_t *security_key_psk, uint8_t psk_length, whd_security_t auth_type)</argsstring>
        <name>whd_wifi_enable_sup_set_passphrase</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>security_key_psk</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>psk_length</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1aaeeea5666743710aa4f01ff264b27059">whd_security_t</ref></type>
          <declname>auth_type</declname>
        </param>
        <briefdescription>
<para>Enable WHD internal supplicant and set WPA2 passphrase in case of WPA3/WPA2 transition mode. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>security_key_psk</parametername>
</parameternamelist>
<parameterdescription>
<para>The security key (passphrase) which is to be set </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>psk_length</parametername>
</parameternamelist>
<parameterdescription>
<para>length of the key </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>auth_type</parametername>
</parameternamelist>
<parameterdescription>
<para>Authentication type: <ref kindref="member" refid="whd__types_8h_1aaeeea5666743710aa4f01ff264b27059af4d58bc2335113f0c70abdbd3019bb61">WHD_SECURITY_WPA3_WPA2_PSK</ref></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS when the supplicant variable and wpa2 passphrase is set Error code if an error occurred </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="357" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gad2daa1aba4dccd3f0506950ccee42113" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_enable_supplicant</definition>
        <argsstring>(whd_interface_t ifp, whd_security_t auth_type)</argsstring>
        <name>whd_wifi_enable_supplicant</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1aaeeea5666743710aa4f01ff264b27059">whd_security_t</ref></type>
          <declname>auth_type</declname>
        </param>
        <briefdescription>
<para>Enable WHD internal supplicant. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>auth_type</parametername>
</parameternamelist>
<parameterdescription>
<para>Authentication type</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS when the supplicant variable is set Error code if an error occurred </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="369" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gaf82eda2ff9979b1bc053a6d7f1f4b125" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_rssi</definition>
        <argsstring>(whd_interface_t ifp, int32_t *rssi)</argsstring>
        <name>whd_wifi_get_rssi</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>int32_t *</type>
          <declname>rssi</declname>
        </param>
        <briefdescription>
<para>Retrieve the latest RSSI value. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rssi</parametername>
</parameternamelist>
<parameterdescription>
<para>The location where the RSSI value will be stored</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the RSSI was successfully retrieved Error code if the RSSI was not retrieved </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="379" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gab571b303f19131fd032fba4b744dbf20" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_ap_client_rssi</definition>
        <argsstring>(whd_interface_t ifp, int32_t *rssi, const whd_mac_t *client_mac)</argsstring>
        <name>whd_wifi_get_ap_client_rssi</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>int32_t *</type>
          <declname>rssi</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref> *</type>
          <declname>client_mac</declname>
        </param>
        <briefdescription>
<para>Retrieve the associated STA's RSSI value. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rssi</parametername>
</parameternamelist>
<parameterdescription>
<para>: The location where the RSSI value will be stored </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>client_mac</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to associated client's MAC address</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS : if the RSSI was successfully retrieved Error code : if the RSSI was not retrieved </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="390" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga8a634822973adc75a61a05eb2b664ef5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_mac_address</definition>
        <argsstring>(whd_interface_t ifp, whd_mac_t *mac)</argsstring>
        <name>whd_wifi_get_mac_address</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref> *</type>
          <declname>mac</declname>
        </param>
        <briefdescription>
<para>Retrieves the current Media Access Control (MAC) address (or Ethernet hardware address) of the 802.11 device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mac</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a variable that the current MAC address will be written to</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="425" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga52d3190589758d9fd36a7b27a9d08f28" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_bssid</definition>
        <argsstring>(whd_interface_t ifp, whd_mac_t *bssid)</argsstring>
        <name>whd_wifi_get_bssid</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref> *</type>
          <declname>bssid</declname>
        </param>
        <briefdescription>
<para>Get the BSSID of the interface. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the whd_interface_t </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>bssid</parametername>
</parameternamelist>
<parameterdescription>
<para>Returns the BSSID address (mac address) if associated</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="434" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gab36ff07aa1d825c0366c82ce003dd9f6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_register_multicast_address</definition>
        <argsstring>(whd_interface_t ifp, const whd_mac_t *mac)</argsstring>
        <name>whd_wifi_register_multicast_address</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref> *</type>
          <declname>mac</declname>
        </param>
        <briefdescription>
<para>Registers interest in a multicast address. </para>
        </briefdescription>
        <detaileddescription>
<para>Once a multicast address has been registered, all packets detected on the medium destined for that address are forwarded to the host. Otherwise they are ignored.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mac</parametername>
</parameternamelist>
<parameterdescription>
<para>Ethernet MAC address</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the address was registered successfully Error code if the address was not registered </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="622" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gad092a543b73e91c7090875ccb940e01f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_unregister_multicast_address</definition>
        <argsstring>(whd_interface_t ifp, const whd_mac_t *mac)</argsstring>
        <name>whd_wifi_unregister_multicast_address</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref> *</type>
          <declname>mac</declname>
        </param>
        <briefdescription>
<para>Unregisters interest in a multicast address. </para>
        </briefdescription>
        <detaileddescription>
<para>Once a multicast address has been unregistered, all packets detected on the medium destined for that address are ignored.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mac</parametername>
</parameternamelist>
<parameterdescription>
<para>Ethernet MAC address</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the address was unregistered successfully Error code if the address was not unregistered </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="635" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gac93f69169a725f277e955eec0bf528db" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_set_listen_interval</definition>
        <argsstring>(whd_interface_t ifp, uint8_t listen_interval, whd_listen_interval_time_unit_t time_unit)</argsstring>
        <name>whd_wifi_set_listen_interval</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>listen_interval</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1a98ac1a2590358bafac6a2da287034638">whd_listen_interval_time_unit_t</ref></type>
          <declname>time_unit</declname>
        </param>
        <briefdescription>
<para>Sets the 802.11 powersave listen interval for a Wi-Fi client, and communicates the listen interval to the Access Point. </para>
        </briefdescription>
        <detaileddescription>
<para>The listen interval will be set to (listen_interval x time_unit) seconds.</para>
<para>The default value for the listen interval is 0. With the default value of 0 set, the Wi-Fi device wakes to listen for AP beacons every DTIM period.</para>
<para>If the DTIM listen interval is non-zero, the DTIM listen interval will over ride the beacon listen interval value.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>listen_interval</parametername>
</parameternamelist>
<parameterdescription>
<para>The desired beacon listen interval </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>time_unit</parametername>
</parameternamelist>
<parameterdescription>
<para>The listen interval time unit; options are beacon period or DTIM period.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS If the listen interval was successfully set. Error code If the listen interval was not successfully set. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="654" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga5a62f0854ad148dde280b4f75596a309" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_listen_interval</definition>
        <argsstring>(whd_interface_t ifp, whd_listen_interval_t *li)</argsstring>
        <name>whd_wifi_get_listen_interval</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwhd__listen__interval__t">whd_listen_interval_t</ref> *</type>
          <declname>li</declname>
        </param>
        <briefdescription>
<para>Gets the current value of all beacon listen interval variables. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>li</parametername>
</parameternamelist>
<parameterdescription>
<para>Powersave listen interval values<itemizedlist>
<listitem><para>listen_interval_beacon : The current value of the listen interval set as a multiple of the beacon period</para>
</listitem><listitem><para>listen_interval_dtim : The current value of the listen interval set as a multiple of the DTIM period</para>
</listitem><listitem><para>listen_interval_assoc : The current value of the listen interval sent to access points in an association request frame</para>
</listitem></itemizedlist>
</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS If all listen interval values are read successfully Error code If at least one of the listen interval values are NOT read successfully </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="668" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga07144bbc68755481708752962538ee6f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_is_ready_to_transceive</definition>
        <argsstring>(whd_interface_t ifp)</argsstring>
        <name>whd_wifi_is_ready_to_transceive</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <briefdescription>
<para>Determines if a particular interface is ready to transceive ethernet packets. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the interface is ready to transceive ethernet packets WHD_NOTFOUND no AP with a matching SSID was found WHD_NOT_AUTHENTICATED Matching AP was found but it won't let you authenticate. This can occur if this device is in the block list on the AP. WHD_NOT_KEYED Device has authenticated and associated but has not completed the key exchange. This can occur if the passphrase is incorrect. Error code if the interface is not ready to transceive ethernet packets </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="682" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gafe61d474712d3ce7e15ef371d87f54e5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_acparams</definition>
        <argsstring>(whd_interface_t ifp, whd_edcf_ac_param_t *acp)</argsstring>
        <name>whd_wifi_get_acparams</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>whd_edcf_ac_param_t *</type>
          <declname>acp</declname>
        </param>
        <briefdescription>
<para>Retrieve the latest STA EDCF AC parameters. </para>
        </briefdescription>
        <detaileddescription>
<para>Retrieve the latest Station (STA) interface EDCF (Enhanced Distributed Coordination Function) Access Category parameters</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>acp</parametername>
</parameternamelist>
<parameterdescription>
<para>The location where the array of AC parameters will be stored</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the AC Parameters were successfully retrieved Error code if the AC Parameters were not retrieved </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="697" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gaaf7be7d8099507426f52ecff8f716543" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_manage_custom_ie</definition>
        <argsstring>(whd_interface_t ifp, whd_custom_ie_action_t action, const uint8_t *oui, uint8_t subtype, const void *data, uint16_t length, uint16_t which_packets)</argsstring>
        <name>whd_wifi_manage_custom_ie</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1a8be1026494a86f0ceeebb2dcbf092cbd">whd_custom_ie_action_t</ref></type>
          <declname>action</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>oui</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>subtype</declname>
        </param>
        <param>
          <type>const void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>length</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>which_packets</declname>
        </param>
        <briefdescription>
<para>Manage the addition and removal of custom IEs. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>action</parametername>
</parameternamelist>
<parameterdescription>
<para>the action to take (add or remove IE) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>oui</parametername>
</parameternamelist>
<parameterdescription>
<para>the oui of the custom IE </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>subtype</parametername>
</parameternamelist>
<parameterdescription>
<para>the IE sub-type </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>a pointer to the buffer that hold the custom IE </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>length</parametername>
</parameternamelist>
<parameterdescription>
<para>the length of the buffer pointed to by 'data' </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>which_packets</parametername>
</parameternamelist>
<parameterdescription>
<para>A mask to indicate in which all packets this IE should be included. See whd_ie_packet_flag_t.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS if the custom IE action was successful Error code if the custom IE action failed </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="714" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga2cf8ecd7c319660833bd30a060990dca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_send_action_frame</definition>
        <argsstring>(whd_interface_t ifp, whd_af_params_t *af_params)</argsstring>
        <name>whd_wifi_send_action_frame</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>whd_af_params_t *</type>
          <declname>af_params</declname>
        </param>
        <briefdescription>
<para>Send a pre-prepared action frame. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>af_params</parametername>
</parameternamelist>
<parameterdescription>
<para>A pointer to a pre-prepared action frame structure</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="725" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga95237c0e6182bfb176519421ac9287b4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_set_coex_config</definition>
        <argsstring>(whd_interface_t ifp, whd_coex_config_t *coex_config)</argsstring>
        <name>whd_wifi_set_coex_config</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1a1cb4da9972e0e9317a6e26e2fd460902">whd_coex_config_t</ref> *</type>
          <declname>coex_config</declname>
        </param>
        <briefdescription>
<para>Set coex configuration. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>coex_config</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the structure whd_coex_config_t</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="734" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gae6bf707d845518cba9a8256fb5681f4a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_version</definition>
        <argsstring>(whd_interface_t ifp, uint32_t *version)</argsstring>
        <name>whd_arp_version</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>version</declname>
        </param>
        <briefdescription>
<para>Get version of Device (WLAN) Firmware. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">version</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to store version #</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="743" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga2cd55bdc13221177c61310ecaa6f4bd7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_peerage_get</definition>
        <argsstring>(whd_interface_t ifp, uint32_t *seconds)</argsstring>
        <name>whd_arp_peerage_get</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>seconds</declname>
        </param>
        <briefdescription>
<para>Get ARP Offload Peer Age from Device (WLAN) Length of time in seconds before aging out an entry in the WLAN processor ARP table. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">seconds</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to store value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="753" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gab61ae9878853c02b4cf194c2c3a7377f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_peerage_set</definition>
        <argsstring>(whd_interface_t ifp, uint32_t seconds)</argsstring>
        <name>whd_arp_peerage_set</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>seconds</declname>
        </param>
        <briefdescription>
<para>Set ARP Offload Peer Age in Device (WLAN) Length of time in seconds before aging out an entry in the WLAN processor ARP table. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">seconds</parametername>
</parameternamelist>
<parameterdescription>
<para>: Seconds to age out IP</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="763" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga22d76514755f2dfde0ee6acbc193787a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_arpoe_get</definition>
        <argsstring>(whd_interface_t ifp, uint32_t *agent_enable)</argsstring>
        <name>whd_arp_arpoe_get</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>agent_enable</declname>
        </param>
        <briefdescription>
<para>Get ARP Offload Agent Enable from Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">agent_enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to store value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="772" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gaa30d9e2a761de17962312d818f941c05" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_arpoe_set</definition>
        <argsstring>(whd_interface_t ifp, uint32_t agent_enable)</argsstring>
        <name>whd_arp_arpoe_set</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>agent_enable</declname>
        </param>
        <briefdescription>
<para>Set ARP Offload Agent Enable in Device (WLAN) Set Enable/Disable of ARP Offload Agent. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">agent_enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: Enable=1 / Disable=0</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="782" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga01ece00a357914d02fa5a181fbddbf8c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_cache_clear</definition>
        <argsstring>(whd_interface_t ifp)</argsstring>
        <name>whd_arp_cache_clear</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <briefdescription>
<para>Clear ARP Offload cache in Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="790" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga54728d3d6a714ef9264d6e25df9a6722" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_features_get</definition>
        <argsstring>(whd_interface_t ifp, uint32_t *features)</argsstring>
        <name>whd_arp_features_get</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>features</declname>
        </param>
        <briefdescription>
<para>Get ARP Offload Feature Flags from Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">features</parametername>
</parameternamelist>
<parameterdescription>
<para>: ptr to store currently set features - bit flags CY_ARP_OL_AGENT_ENABLE, etc. ARL_OL_AGENT | ARL_OL_SNOOP | ARP_OL_HOST_AUTO_REPLY | ARP_OL_PEER_AUTO_REPLY</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="800" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gab4ebcd7fdd7b328e2f4e10b79197cfca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_features_set</definition>
        <argsstring>(whd_interface_t ifp, uint32_t features)</argsstring>
        <name>whd_arp_features_set</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>features</declname>
        </param>
        <briefdescription>
<para>Set ARP Offload Feature Flags in Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">features</parametername>
</parameternamelist>
<parameterdescription>
<para>: features to set value (you can OR ('|') multiple flags) CY_ARP_OL_AGENT_ENABLE, etc. ARL_OL_AGENT | ARL_OL_SNOOP | ARP_OL_HOST_AUTO_REPLY | ARP_OL_PEER_AUTO_REPLY</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="810" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gaf70b6becc3e4ecc551f5bf5278d7ad93" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_features_print</definition>
        <argsstring>(uint32_t features, const char *title)</argsstring>
        <name>whd_arp_features_print</name>
        <param>
          <type>uint32_t</type>
          <declname>features</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>title</declname>
        </param>
        <briefdescription>
<para>Print ARP Offload Feature Flags in Human readable form to console. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">features</parametername>
</parameternamelist>
<parameterdescription>
<para>: feature flags to set (you can OR '|' multiple flags) CY_ARP_OL_AGENT_ENABLE, etc. ARL_OL_AGENT | ARL_OL_SNOOP | ARP_OL_HOST_AUTO_REPLY | ARP_OL_PEER_AUTO_REPLY </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">title</parametername>
</parameternamelist>
<parameterdescription>
<para>: Optional: Title for output (NULL == no title)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="820" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga417b404b9892862a572802a4ea38eb79" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_hostip_list_add</definition>
        <argsstring>(whd_interface_t ifp, uint32_t *host_ipv4_list, uint32_t count)</argsstring>
        <name>whd_arp_hostip_list_add</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>host_ipv4_list</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>count</declname>
        </param>
        <briefdescription>
<para>Add ARP Offload Host IP Identifier(s) to HostIP List to Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">host_ipv4_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to host_ip data (IPv4, 1 uint32_t per ip addr) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">count</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of array elements in host_ip</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="830" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga61135784226a59af098384f4a071af02" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_hostip_list_add_string</definition>
        <argsstring>(whd_interface_t ifp, const char *ip_addr)</argsstring>
        <name>whd_arp_hostip_list_add_string</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>ip_addr</declname>
        </param>
        <briefdescription>
<para>Add One ARP Offload Host IP Identifier to HostIP List (mbed-style IP string) to Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ip_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to ip string (as returned from mbedos calls)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="839" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga15cfc56bd481a4bc02c6dc93bfa6883c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_hostip_list_clear_id</definition>
        <argsstring>(whd_interface_t ifp, uint32_t ipv4_addr)</argsstring>
        <name>whd_arp_hostip_list_clear_id</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>ipv4_addr</declname>
        </param>
        <briefdescription>
<para>Clear One ARP Offload Host IP Identifier from Host IP List in Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ipv4_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: ip addr expressed as a uint32_t</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="848" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gaa38f97cc9800e7355d96d833b32b1c1c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_hostip_list_clear_id_string</definition>
        <argsstring>(whd_interface_t ifp, const char *ip_addr)</argsstring>
        <name>whd_arp_hostip_list_clear_id_string</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>ip_addr</declname>
        </param>
        <briefdescription>
<para>Clear One ARP Offload Host IP Identifier from Host IP List (mbed-style IP string) in Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ip_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to ip string (as returned from mbedos calls)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="857" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gaaf3cec4a4896670049ec3802c91a2d66" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_hostip_list_clear</definition>
        <argsstring>(whd_interface_t ifp)</argsstring>
        <name>whd_arp_hostip_list_clear</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <briefdescription>
<para>Clear all ARP Offload Host IP Identifier List. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="865" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga4287cc85981a511399ea927c84f61330" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_hostip_list_get</definition>
        <argsstring>(whd_interface_t ifp, uint32_t count, uint32_t *host_ipv4_list, uint32_t *filled)</argsstring>
        <name>whd_arp_hostip_list_get</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>count</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>host_ipv4_list</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>filled</declname>
        </param>
        <briefdescription>
<para>Get ARP Offload Host IP Identifiers from Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">count</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of array elements in host_ip </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">host_ipv4_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to structure array to store host_ip data </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">filled</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of array elements filled by this routine</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="876" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga564e95d3343802ed33d1b2c6fb531aeb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_stats_clear</definition>
        <argsstring>(whd_interface_t ifp)</argsstring>
        <name>whd_arp_stats_clear</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <briefdescription>
<para>Clear ARP Offload statistics in Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="884" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga9d65fe0a82dee5edf65eb6f1efe9df52" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_stats_get</definition>
        <argsstring>(whd_interface_t ifp, whd_arp_stats_t *stats)</argsstring>
        <name>whd_arp_stats_get</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>whd_arp_stats_t *</type>
          <declname>stats</declname>
        </param>
        <briefdescription>
<para>Get ARP Offload statistics from Device (WLAN) </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">stats</parametername>
</parameternamelist>
<parameterdescription>
<para>: Ptr to store statistics whd_arp_stats_t</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="893" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga37714a68f350e5a9e24dd6aeaea0ae98" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_arp_stats_print</definition>
        <argsstring>(whd_arp_stats_t *arp_stats, const char *title)</argsstring>
        <name>whd_arp_stats_print</name>
        <param>
          <type>whd_arp_stats_t *</type>
          <declname>arp_stats</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>title</declname>
        </param>
        <briefdescription>
<para>Print ARP Offload statistics NOTE: call <ref kindref="member" refid="group__wifiutilities_1ga9d65fe0a82dee5edf65eb6f1efe9df52">whd_arp_stats_get()</ref>, then print them using this function. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">arp_stats</parametername>
</parameternamelist>
<parameterdescription>
<para>: Ptr to ARP statistics structure </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">title</parametername>
</parameternamelist>
<parameterdescription>
<para>: Optional: Title for output (NULL == no title)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="903" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gae81aead624f8e374970e1aa3f330ea30" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_pf_add_packet_filter</definition>
        <argsstring>(whd_interface_t ifp, const whd_packet_filter_t *settings)</argsstring>
        <name>whd_pf_add_packet_filter</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structwhd__packet__filter__t">whd_packet_filter_t</ref> *</type>
          <declname>settings</declname>
        </param>
        <briefdescription>
<para>A filter must be added (e.g. </para>
        </briefdescription>
        <detaileddescription>
<para>created) before it can be enabled. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">settings</parametername>
</parameternamelist>
<parameterdescription>
<para>: Ptr to filter settings <ref kindref="compound" refid="structwhd__packet__filter__t">whd_packet_filter_t</ref> </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="910" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gaff414d31f3406ec5d1af54b889f4849a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_pf_remove_packet_filter</definition>
        <argsstring>(whd_interface_t ifp, uint8_t filter_id)</argsstring>
        <name>whd_pf_remove_packet_filter</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <briefdescription>
<para>Remove a previously added filter. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">filter_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: filter to remove </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="917" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga3e70cd84bf811b869c955d75fa80590d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_pf_enable_packet_filter</definition>
        <argsstring>(whd_interface_t ifp, uint8_t filter_id)</argsstring>
        <name>whd_pf_enable_packet_filter</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <briefdescription>
<para>After a filter has been added it can be enabled or disabled as needed. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">filter_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: filter to enable </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="924" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga6af0c7e202709713fa5d06e71a585e28" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_pf_disable_packet_filter</definition>
        <argsstring>(whd_interface_t ifp, uint8_t filter_id)</argsstring>
        <name>whd_pf_disable_packet_filter</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <briefdescription>
<para>After a filter has been added it can be enabled or disabled as needed. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">filter_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: filter to disable </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="931" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga35860e8c45162735f5ef3d93ed262d90" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_wifi_toggle_packet_filter</definition>
        <argsstring>(whd_interface_t ifp, uint8_t filter_id, whd_bool_t enable)</argsstring>
        <name>whd_wifi_toggle_packet_filter</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1a7cd94a03f2e7e6aab7217ed559c7a0ac">whd_bool_t</ref></type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>After a filter has been added it can be enabled or disabled as needed. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">filter_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: filter to disable/enable </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: Enable/Disable Flag </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="939" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gacd9d57c8febb11cc240db23f5de92cd9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_pf_get_packet_filter_mask_and_pattern</definition>
        <argsstring>(whd_interface_t ifp, uint8_t filter_id, uint32_t max_size, uint8_t *mask, uint8_t *pattern, uint32_t *size_out)</argsstring>
        <name>whd_pf_get_packet_filter_mask_and_pattern</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>max_size</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>mask</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>pattern</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>size_out</declname>
        </param>
        <briefdescription>
<para>Filters are implemented in WLAN subsystem as a bit pattern and matching bit mask that are applied to incoming packets. </para>
        </briefdescription>
        <detaileddescription>
<para>This API retrieves the pattern and mask. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">filter_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: which filter to retrieve </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_size</parametername>
</parameternamelist>
<parameterdescription>
<para>: size of both mask and pattern buffers </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">mask</parametername>
</parameternamelist>
<parameterdescription>
<para>: mask for this filter </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">pattern</parametername>
</parameternamelist>
<parameterdescription>
<para>: pattern for this filter </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">size_out</parametername>
</parameternamelist>
<parameterdescription>
<para>: length of both mask and pattern </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="951" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gab3e9371ccaa61f1f40e0246a66db42a6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_wifi_clear_packet_filter_stats</definition>
        <argsstring>(whd_interface_t ifp, uint32_t filter_id)</argsstring>
        <name>whd_wifi_clear_packet_filter_stats</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>filter_id</declname>
        </param>
        <briefdescription>
<para>Clear the packet filter stats associated with a filter id. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">filter_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: which filter </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="960" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga26172adb5ec181bb8f2009e47eb252cf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_pf_get_packet_filter_stats</definition>
        <argsstring>(whd_interface_t ifp, uint8_t filter_id, whd_pkt_filter_stats_t *stats)</argsstring>
        <name>whd_pf_get_packet_filter_stats</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>filter_id</declname>
        </param>
        <param>
          <type>whd_pkt_filter_stats_t *</type>
          <declname>stats</declname>
        </param>
        <briefdescription>
<para>Return the stats associated with a filter. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">filter_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: which filter </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">stats</parametername>
</parameternamelist>
<parameterdescription>
<para>: Ptr to store statistics wl_pkt_filter_stats_t </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="968" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga482c8ffcb1166f2f161e4ad67f8ef9d5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_tko_param</definition>
        <argsstring>(whd_interface_t ifp, whd_tko_retry_t *whd_tko_retry, int set)</argsstring>
        <name>whd_tko_param</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>whd_tko_retry_t *</type>
          <declname>whd_tko_retry</declname>
        </param>
        <param>
          <type>int</type>
          <declname>set</declname>
        </param>
        <briefdescription>
<para>Set/Get TKO retry &amp; interval parameters. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">whd_tko_retry</parametername>
</parameternamelist>
<parameterdescription>
<para>: whd retry &amp; interval parameters structure </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">set</parametername>
</parameternamelist>
<parameterdescription>
<para>: Set/Get Flag </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="976" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gae6b46bcc1a3c7d708abc71ae6a123481" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_tko_get_status</definition>
        <argsstring>(whd_interface_t ifp, whd_tko_status_t *tko_status)</argsstring>
        <name>whd_tko_get_status</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>whd_tko_status_t *</type>
          <declname>tko_status</declname>
        </param>
        <briefdescription>
<para>Return the tko status for all indexes. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">tko_status</parametername>
</parameternamelist>
<parameterdescription>
<para>: Ptr to store tko_status </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="983" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga70cacca6b62ca658882d9070c49b6343" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_tko_max_assoc</definition>
        <argsstring>(whd_interface_t ifp, uint8_t *max)</argsstring>
        <name>whd_tko_max_assoc</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>max</declname>
        </param>
        <briefdescription>
<para>Return the stats associated with a filter. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">max</parametername>
</parameternamelist>
<parameterdescription>
<para>: returns Max TCP connections supported by WLAN Firmware </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="990" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1gacc2882e3a308f7b2b938bc5741ab43c3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_tko_get_FW_connect</definition>
        <argsstring>(whd_interface_t ifp, uint8_t index, whd_tko_connect_t *whd_connect, uint16_t buflen)</argsstring>
        <name>whd_tko_get_FW_connect</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>index</declname>
        </param>
        <param>
          <type>whd_tko_connect_t *</type>
          <declname>whd_connect</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>buflen</declname>
        </param>
        <briefdescription>
<para>Return the stats associated with a filter. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">index</parametername>
</parameternamelist>
<parameterdescription>
<para>: index for TCP offload connection </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">whd_connect</parametername>
</parameternamelist>
<parameterdescription>
<para>: tko_connect structure buffer from Firmware </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">buflen</parametername>
</parameternamelist>
<parameterdescription>
<para>: Buffer given for tko_connect </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="999" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wifiutilities_1ga189ed043d5ce9cf8d1a0845484a96d6b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="whd__types_8h_1add62f4b5040a2451e23869d2f9e1ae05">whd_result_t</ref></type>
        <definition>whd_result_t whd_tko_toggle</definition>
        <argsstring>(whd_interface_t ifp, whd_bool_t enable)</argsstring>
        <name>whd_tko_toggle</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1a7cd94a03f2e7e6aab7217ed559c7a0ac">whd_bool_t</ref></type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Return the stats associated with a filter. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: Enable/Disable TCP Keepalive offload </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>whd_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1007" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Allows WHD to perform utility operations. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>